org.apache.lucene.codecs.simpletext

## Class SimpleTextNormsFormat.SimpleTextNormsConsumer

- java.lang.Object
- - org.apache.lucene.codecs.NormsConsumer
  - - org.apache.lucene.codecs.simpletext.SimpleTextNormsFormat.SimpleTextNormsConsumer

- All Implemented Interfaces:
    Closeable, AutoCloseable
  Enclosing class:
    SimpleTextNormsFormat

      public static class SimpleTextNormsFormat.SimpleTextNormsConsumer
      extends NormsConsumer

  Writes plain-text norms.

  FOR RECREATIONAL USE ONLY

  WARNING: This API is experimental and might change in incompatible ways in the next release.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SimpleTextNormsConsumer(SegmentWriteState state)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addNormsField(FieldInfo field, NormsProducer normsProducer)`
    `void` | `close()`

    - ### Methods inherited from class org.apache.lucene.codecs.NormsConsumer

      `merge, mergeNormsField`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SimpleTextNormsConsumer

          public SimpleTextNormsConsumer(SegmentWriteState state)
                                  throws IOException

      Throws:
        `IOException`

  - ### Method Detail

    - #### addNormsField

          public void addNormsField(FieldInfo field,
                                    NormsProducer normsProducer)
                             throws IOException

      Specified by:
        `addNormsField` in class `NormsConsumer`
      Throws:
        `IOException`

    - #### close

          public void close()
                     throws IOException

      Throws:
        `IOException`

Copyright © 2000-2019 Apache Software Foundation. All Rights Reserved.